# Object Storage v1 Commands

## container

A container defines a namespace for objects.

### container create

Create new container

    openstack container create
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--public]
        [--storage-policy STORAGE_POLICY]
        <container-name>
        [<container-name> ...]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--public

  Make the container publicly accessible

--storage-policy <STORAGE_POLICY>

  Specify a particular storage policy to use.

container-name

  New container name(s)

### container delete

Delete container

    openstack container delete [--recursive] <container> [<container> ...]

--recursive, -r

  Recursively delete objects and container

container

  Container(s) to delete

### container list

List containers

    openstack container list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--limit <limit>]
        [--marker <marker>]
        [--end-marker <end-marker>]
        [--long]
        [--all]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  The maximum number of entries to return per page. If the value exceeds the server-defined maximum, then the server-defined value will be used. Note that this controls the page size, not the total number of entries returned. Use –max-items to limit the total number of entries returned.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

--end-marker <end-marker>

  End anchor for paging

--long

  List additional fields in output

--all

  List all containers (default is 10000)

### container save

Save container contents locally

    openstack container save <container>

container

  Container to save

### container set

Set container properties

    openstack container set --property <key =value> <container>

--property <key=value>

  Set a property on this container (repeat option to set multiple properties)

container

  Container to modify

### container show

Display container details

    openstack container show <container>

container

  Container to display

### container unset

Unset container properties

    openstack container unset --property <key> <container>

--property <key>

  Property to remove from container (repeat option to remove multiple properties)

container

  Container to modify

## object store account

An object store account represents the top-level of the hierarchy that is comprised of containers and objects.

### object store account set

Set account properties

    openstack object store account set --property <key =value>

--property <key=value>

  Set a property on this account (repeat option to set multiple properties)

### object store account show

Display account details

    openstack object store account show

### object store account unset

Unset account properties

    openstack object store account unset --property <key>

--property <key>

  Property to remove from account (repeat option to remove multiple properties)

## object

An object stores data content, such as documents, images, and so on. They can also store custom metadata with an object.

### object create

Upload object to container

    openstack object create
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name <name>]
        <container>
        <filename>
        [<filename> ...]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <name>

  Upload a file and rename it. Can only be used when uploading a single object

container

  Container for new object

filename

  Local filename(s) to upload

### object delete

Delete object from container

    openstack object delete <container> <object> [<object> ...]

container

  Delete object(s) from <container>

object

  Object(s) to delete

### object list

List objects

    openstack object list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--delimiter <delimiter>]
        [--limit <limit>]
        [--marker <marker>]
        [--end-marker <end-marker>]
        [--long]
        [--all]
        <container>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--delimiter <delimiter>

  Roll up items with <delimiter>

--limit <limit>

  The maximum number of entries to return per page. If the value exceeds the server-defined maximum, then the server-defined value will be used. Note that this controls the page size, not the total number of entries returned. Use –max-items to limit the total number of entries returned.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

--end-marker <end-marker>

  End anchor for paging

--long

  List additional fields in output

--all

  List all objects in container (default is 10000)

container

  Container to list

### object save

Save object locally

    openstack object save [--file <filename>] <container> <object>

--file <filename>

  Destination filename (defaults to object name); using ‘-’ as the filename will print the file to stdout

container

  Download <object> from <container>

object

  Object to save

### object set

Set object properties

    openstack object set --property <key =value> <container> <object>

--property <key=value>

  Set a property on this object (repeat option to set multiple properties)

container

  Modify <object> from <container>

object

  Object to modify

### object show

Display object details

    openstack object show <container> <object>

container

  Display <object> from <container>

object

  Object to display

### object unset

Unset object properties

    openstack object unset --property <key> <container> <object>

--property <key>

  Property to remove from object (repeat option to remove multiple properties)

container

  Modify <object> from <container>

object

  Object to modify

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.